--*****************************************************************************
-- Datei            : strinzuweisungg.adb
-- Project          : Terminkalender  ( FaPra WS1995/96 Gruppe 5 )
-- Version          : 1.0
-- Autor            : Christoph Schemainda
-- Hardware         : DEC-Workstation 3100
-- Betriebssystem   : Ultrix Version 4.3
-- Sprache          : Ada95
-- Compiler         : gnat Version 2.07
-- Erstellungsdatum : 10.01.96
-------------------------------------------------------------------------------
-- Aufgabe          : Stringzuweisung
-- Anwendung        :
-- Einschraenkung   :
-- Fehlerbehandlung :
--*****************************************************************************
with Text_Io;

package body Stringzuweisung is

procedure Set_String (Var : out String;
		      Str : in String ) is
Ende : Integer;
begin 
   Ende:=Var'Last;
   if Str'Last<Ende then
      Ende:=Str'Last;
   end if;
   Var(1..Ende):=Str(1..Ende);
   for I in Ende+1..Var'Last loop
      Var(I):=' ';
   end loop;
exception
   when others =>
      Text_Io.Put_Line("OOPS! Fehler in Stringzuweisung.Set_String!");
      raise;
end Set_String;


function Int_To_String (Zahl : Integer) return String is

begin
   return Integer'Image(Zahl)(2..Integer'Image(Zahl)'Last);
exception
   when others =>
      Text_Io.Put_Line("OOPS! Fehler in Stringzuweisung.Int_To_String!");
      raise;
end Int_To_String;


-- procedure Add_String (Pos : in out Integer ;
-- 		      Var : in out String ;
-- 		      Str : in String ) is
   
-- begin

-- for I in Str'Range loop
--    Var(Pos+I-1):=Str(I);
-- end loop;
--    Pos := Pos+Str'Last-1;
-- end Add_String;



function Trimm_String (Str : String) return String is

Ende : Integer;
begin
if Str'Length<2 then
   return Str;
else
   Ende:=Str'Last;
   while (Ende>Str'First and Str(Ende)=' ') loop
      Ende:=Ende-1;
   end loop;
   return Str(Str'First..Ende);
end if;
exception
   when others =>
      Text_Io.Put_Line("OOPS! Fehler in Stringzuweisung.Trimm_String!");
      raise;
end Trimm_String;


end Stringzuweisung;
